Page MenuHomePhabricator

Create cxserver api to suggest source title for given target language and title
Closed, ResolvedPublic

Description

API requirement:

Suggest a source article to use for creating given article in given target language using translation

The language of the source article can be derived from:

  • The language (other than the current one) where the user has more contributions.
  • A language the user has accessed (based on the ULS-CompactLinks ), giving priority to larger wikis which are more likely to act as source languages.
  • Previous translation

The possible source languages can be an input to api. Since some of them are client side information.

Details

Related Gerrit Patches:

Event Timeline

santhosh triaged this task as Medium priority.Jul 9 2019, 9:50 AM
santhosh created this task.

Change 521482 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] API to suggest source title for given target langauge and title

https://gerrit.wikimedia.org/r/521482

The API introduced by the patch always tries using English as source wiki to translate from. API first tries matching title with possible source language wikis and then tries utilizing Wikidata. If there are no suggestions after that, MT is brought to action.
In order to find possible source article, MT translates the title from language where you're creating new page into all possible source languages (where English is included by default). Since MT is not available into English, we miss on the opportunity of finding likely source article for most users. Of course, English is not the sole example here. All MT limitations we introduced for translating content, are crippling our title translation.

Change 521482 merged by jenkins-bot:
[mediawiki/services/cxserver@master] API to suggest source title for given target language and title

https://gerrit.wikimedia.org/r/521482

Jpita added a subscriber: Jpita.EditedAug 6 2019, 9:02 PM

@santhosh where can I find this api playground/documentation page?
Can you provide some info on how I can test this ?

@santhosh where can I find this api playground/documentation page?
Can you provide some info on how I can test this ?

https://cxserver.wikimedia.org/v2/?doc once the code is updated or any running cxserver instance with latest code.

Change 528618 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2019-08-06-100812-production

https://gerrit.wikimedia.org/r/528618

Nikerabbit renamed this task from Create cxserver api to suggest source title for given target langauge and title to Create cxserver api to suggest source title for given target language and title.Aug 7 2019, 9:20 AM

Change 528618 merged by Santhosh:
[operations/deployment-charts@master] Update cxserver to 2019-08-06-100812-production

https://gerrit.wikimedia.org/r/528618

Mentioned in SAL (#wikimedia-operations) [2019-08-07T11:37:19Z] <kart_> Updated cxserver to 2019-08-06-100812-production (T227571)

Jpita closed this task as Resolved.Aug 8 2019, 9:28 PM